Bug 728726 - [abrt] kernel: [388520.547509] WARNING: at block/genhd.c:1556 disk_clear_events+0xcb/0xfe(): TAINTED ---------W
Summary: [abrt] kernel: [388520.547509] WARNING: at block/genhd.c:1556 disk_clear_even...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:728491dd5b94c18deb9640343b9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 18:05 UTC by linux@alteeve.com
Modified: 2012-06-06 17:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:14:01 UTC


Attachments (Terms of Use)

Description linux@alteeve.com 2011-08-06 18:05:46 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=/dev/mapper/luks-286cefbd-2b66-4f46-a623-27c3e33cfea0 rd_LUKS_UUID=luks-286cefbd-2b66-4f46-a623-27c3e33cfea0 rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        Not sure, the abrt just appeared.
component:      kernel
kernel:         2.6.38.8-35.fc15.x86_64
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         [388520.547509] WARNING: at block/genhd.c:1556 disk_clear_events+0xcb/0xfe()
time:           Tue Jul 26 11:28:38 2011

backtrace:
:[388520.547509] WARNING: at block/genhd.c:1556 disk_clear_events+0xcb/0xfe()
:[388520.547511] Hardware name: 2801CTO
:[388520.547513] Modules linked in: tun tcp_lp vfat fat usb_storage uas fuse hidp ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc ppdev parport_pc lp parport sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm sco bnep l2cap ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables arc4 snd_hda_codec_conexant iwlagn snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwlcore mac80211 uvcvideo snd_pcm cfg80211 microcode btusb videodev v4l2_compat_ioctl32 bluetooth joydev iTCO_wdt iTCO_vendor_support i2c_i801 e1000e snd_timer snd_page_alloc wmi thinkpad_acpi rfkill snd soundcore virtio_net kvm_intel kvm ipv6 xts gf128mul pata_acpi dm_crypt ata_generic i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[388520.547573] Pid: 15403, comm: cdrom_id Tainted: G        W   2.6.38.8-35.fc15.x86_64 #1
:[388520.547575] Call Trace:
:[388520.547580]  [<ffffffff8105511a>] warn_slowpath_common+0x83/0x9b
:[388520.547584]  [<ffffffff8105514c>] warn_slowpath_null+0x1a/0x1c
:[388520.547587]  [<ffffffff81220071>] disk_clear_events+0xcb/0xfe
:[388520.547591]  [<ffffffff81148e1d>] check_disk_change+0x2e/0x60
:[388520.547595]  [<ffffffff81330db4>] cdrom_open+0x49/0x4b7
:[388520.547598]  [<ffffffff8122d08c>] ? kobject_get+0x17/0x1f
:[388520.547602]  [<ffffffff812e535f>] ? get_device+0x19/0x1f
:[388520.547606]  [<ffffffff8130ccd7>] sr_block_open+0x95/0xbc
:[388520.547609]  [<ffffffff81149d57>] __blkdev_get+0xc3/0x36e
:[388520.547612]  [<ffffffff8114a1ce>] blkdev_get+0x1cc/0x2ba
:[388520.547615]  [<ffffffff811492f2>] ? bdget+0x107/0x113
:[388520.547618]  [<ffffffff8114a2bc>] ? blkdev_open+0x0/0x6f
:[388520.547620]  [<ffffffff8114a326>] blkdev_open+0x6a/0x6f
:[388520.547624]  [<ffffffff8111fc68>] __dentry_open+0x161/0x283
:[388520.547628]  [<ffffffff814783ee>] ? _raw_spin_lock+0xe/0x10
:[388520.547632]  [<ffffffff81120bdc>] nameidata_to_filp+0x60/0x67
:[388520.547635]  [<ffffffff8112ca8b>] finish_open+0xa1/0x17f
:[388520.547638]  [<ffffffff8112bbd4>] ? do_path_lookup+0xca/0xf6
:[388520.547641]  [<ffffffff8112cfce>] do_filp_open+0x186/0x60a
:[388520.547646]  [<ffffffff810f47f8>] ? handle_mm_fault+0x1bb/0x1ce
:[388520.547650]  [<ffffffff8104127e>] ? should_resched+0xe/0x2d
:[388520.547652]  [<ffffffff81476e98>] ? _cond_resched+0xe/0x22
:[388520.547656]  [<ffffffff81234ea1>] ? might_fault+0x21/0x23
:[388520.547660]  [<ffffffff81136b49>] ? alloc_fd+0x72/0x11d
:[388520.547663]  [<ffffffff81120c43>] do_sys_open+0x60/0xf2
:[388520.547666]  [<ffffffff81120cf5>] sys_open+0x20/0x22
:[388520.547669]  [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b

Comment 1 Dave Jones 2012-04-11 16:37:02 UTC
can you reproduce this on 2.6.43.1 ?


Note You need to log in before you can comment on or make changes to this bug.